<script>
import commonMixin from '@/base/mixins/common.js'
import Google from '@/source/Google.js'
export default {
  name: 'bs-googlelayer',
  render () { },
  mixins: [commonMixin('layer')],
  watch: {
  },
  methods: {
    load () {
      const { ol, map } = this
      const layer = new ol.layer.Tile({
        source: new Google()
      })
      this.originInstance = layer
      map.addLayer(layer)
    }
  }
}
</script>
